libgutenprintui2 API Reference: include/gutenprintui2/curve.h File Reference

libgutenprintui2 API Reference 5.3.4

Data Structures | Macros | Typedefs | Enumerations | Functions
curve.h File Reference
`#include <gdk/gdk.h>`
`#include <gtk/gtkdrawingarea.h>`

## Data Structures
struct | _StpuiCurve
struct | _StpuiCurveClass

## Macros
#define | STPUI_TYPE_CURVE (stpui_curve_get_type ())
#define | STPUI_CURVE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), STPUI_TYPE_CURVE, StpuiCurve))
#define | STPUI_CURVE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), STPUI_TYPE_CURVE, StpuiCurveClass))
#define | STPUI_IS_CURVE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), STPUI_TYPE_CURVE))
#define | STPUI_IS_CURVE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), STPUI_TYPE_CURVE))
#define | STPUI_CURVE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), STPUI_TYPE_CURVE, StpuiCurveClass))

## Typedefs
typedef struct _StpuiCurve | StpuiCurve
typedef struct _StpuiCurveClass | StpuiCurveClass

## Enumerations
enum | StpuiCurveType { STPUI_CURVE_TYPE_LINEAR, STPUI_CURVE_TYPE_SPLINE, STPUI_CURVE_TYPE_FREE }

## Functions
GType | stpui_curve_get_type (void) G_GNUC_CONST
GtkWidget * | stpui_curve_new (void)
void | stpui_curve_reset (StpuiCurve *curve)
void | stpui_curve_set_gamma (StpuiCurve *curve, gfloat gamma_)
void | stpui_curve_set_range (StpuiCurve *curve, gfloat min_x, gfloat max_x, gfloat min_y, gfloat max_y)
void | stpui_curve_get_vector (StpuiCurve *curve, int veclen, gfloat vector[])
void | stpui_curve_set_vector (StpuiCurve *curve, int veclen, const gfloat vector[])
void | stpui_curve_set_curve_type (StpuiCurve *curve, StpuiCurveType type)

## Macro Definition Documentation

## ◆ STPUI_CURVE

#define STPUI_CURVE | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_CAST ((obj), STPUI_TYPE_CURVE, StpuiCurve))

## ◆ STPUI_CURVE_CLASS

#define STPUI_CURVE_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_CAST ((klass), STPUI_TYPE_CURVE, StpuiCurveClass))

## ◆ STPUI_CURVE_GET_CLASS

#define STPUI_CURVE_GET_CLASS | ( |  | obj | ) | (G_TYPE_INSTANCE_GET_CLASS ((obj), STPUI_TYPE_CURVE, StpuiCurveClass))

## ◆ STPUI_IS_CURVE

#define STPUI_IS_CURVE | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_TYPE ((obj), STPUI_TYPE_CURVE))

## ◆ STPUI_IS_CURVE_CLASS

#define STPUI_IS_CURVE_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_TYPE ((klass), STPUI_TYPE_CURVE))

## ◆ STPUI_TYPE_CURVE

#define STPUI_TYPE_CURVE (stpui_curve_get_type ())

## Typedef Documentation

## ◆ StpuiCurve

typedef struct _StpuiCurve StpuiCurve

## ◆ StpuiCurveClass

typedef struct _StpuiCurveClass StpuiCurveClass

## Enumeration Type Documentation

## ◆ StpuiCurveType

enum StpuiCurveType

Enumerator
STPUI_CURVE_TYPE_LINEAR |
STPUI_CURVE_TYPE_SPLINE |
STPUI_CURVE_TYPE_FREE |

## Function Documentation

## ◆ stpui_curve_get_type()

GType stpui_curve_get_type | ( | void |  | ) |

## ◆ stpui_curve_get_vector()

void stpui_curve_get_vector | ( | StpuiCurve * | curve,
|  | int | veclen,
|  | gfloat | vector[]
| ) |  |

## ◆ stpui_curve_new()

GtkWidget* stpui_curve_new | ( | void |  | ) |

## ◆ stpui_curve_reset()

void stpui_curve_reset | ( | StpuiCurve * | curve | ) |

## ◆ stpui_curve_set_curve_type()

void stpui_curve_set_curve_type | ( | StpuiCurve * | curve,
|  | StpuiCurveType | type
| ) |  |

## ◆ stpui_curve_set_gamma()

void stpui_curve_set_gamma | ( | StpuiCurve * | curve,
|  | gfloat | gamma_
| ) |  |

## ◆ stpui_curve_set_range()

void stpui_curve_set_range | ( | StpuiCurve * | curve,
|  | gfloat | min_x,
|  | gfloat | max_x,
|  | gfloat | min_y,
|  | gfloat | max_y
| ) |  |

## ◆ stpui_curve_set_vector()

void stpui_curve_set_vector | ( | StpuiCurve * | curve,
|  | int | veclen,
|  | const gfloat | vector[]
| ) |  |

_StpuiCurve::max_y
gfloat max_y
Definition: curve.h:76
stpui_curve_get_type
GType stpui_curve_get_type(void) G_GNUC_CONST
orient_t
orient_t
Definition: gutenprintui.h:61
stpui_image
Definition: gutenprintui.h:98
stpui_plist_t::v
stp_vars_t * v
Definition: gutenprintui.h:94
_StpuiCurve::min_x
gfloat min_x
Definition: curve.h:73
_StpuiGammaCurve::gamma
gfloat gamma
Definition: gammacurve.h:57
stpui_plist_t::unit
int unit
Definition: gutenprintui.h:91
stpui_image::rotate_180
void(* rotate_180)(struct stpui_image *image)
Definition: gutenprintui.h:105
ORIENT_LANDSCAPE
@ ORIENT_LANDSCAPE
Definition: gutenprintui.h:64
stpui_plist_t::orientation
orient_t orientation
Definition: gutenprintui.h:90
ORIENT_AUTO
@ ORIENT_AUTO
Definition: gutenprintui.h:62
stpui_plist_t::invalid_mask
int invalid_mask
Definition: gutenprintui.h:93
_StpuiCurve
Definition: curve.h:69
orient_t_orient_t_get_type
GType orient_t_orient_t_get_type(void)
stpui_plist_get_command_type
command_t stpui_plist_get_command_type(const stpui_plist_t *p)
stpui_plist_set_name
void stpui_plist_set_name(stpui_plist_t *p, const char *val)
command_t_command_t_get_type
GType command_t_command_t_get_type(void)
stpui_compute_orientation
gint stpui_compute_orientation(void)
_StpuiCurve::min_y
gfloat min_y
Definition: curve.h:75
COMMAND_TYPE_DEFAULT
@ COMMAND_TYPE_DEFAULT
Definition: gutenprintui.h:75
_StpuiCurve::point
GdkPoint * point
Definition: curve.h:85
stpui_set_image_channel_depth
void stpui_set_image_channel_depth(gint bit_depth)
_StpuiCurve::pixmap
GdkPixmap * pixmap
Definition: curve.h:77
stpui_curve_set_vector
void stpui_curve_set_vector(StpuiCurve *curve, int veclen, const gfloat vector[])
stpui_image::hflip
void(* hflip)(struct stpui_image *image)
Definition: gutenprintui.h:101
stpui_plist_set_command_type
void stpui_plist_set_command_type(stpui_plist_t *p, command_t val)
command_t
command_t
Definition: gutenprintui.h:74
stpui_get_errfunc
stp_outfunc_t stpui_get_errfunc(void)
_StpuiCurve::max_x
gfloat max_x
Definition: curve.h:74
_StpuiGammaCurveClass::_gtk_reserved1
void(* _gtk_reserved1)(void)
Definition: gammacurve.h:67
StpuiCurveType
StpuiCurveType
Definition: curve.h:57
stpui_set_image_filename
void stpui_set_image_filename(const char *)
stpui_set_image_dimensions
void stpui_set_image_dimensions(gint width, gint height)
stpui_plist_t::custom_command
char * custom_command
Definition: gutenprintui.h:86
_StpuiGammaCurveClass::_gtk_reserved3
void(* _gtk_reserved3)(void)
Definition: gammacurve.h:69
stpui_plist_set_extra_printer_options
void stpui_plist_set_extra_printer_options(stpui_plist_t *p, const char *val)
stpui_image_t
struct stpui_image stpui_image_t
stpui_plist_t::extra_printer_options
char * extra_printer_options
Definition: gutenprintui.h:85
get_thumbnail_func_t
guchar *(* get_thumbnail_func_t)(void *data, gint *width, gint *height, gint *bpp, gint page)
Definition: gutenprintui.h:175
stpui_printrc_save
void stpui_printrc_save(void)
_StpuiGammaCurveClass::_gtk_reserved2
void(* _gtk_reserved2)(void)
Definition: gammacurve.h:68
_StpuiCurveClass::parent_class
GtkDrawingAreaClass parent_class
Definition: curve.h:94
_StpuiCurve::last
gint last
Definition: curve.h:81
stpui_plist_set_current_standard_command
void stpui_plist_set_current_standard_command(stpui_plist_t *p, const char *val)
stpui_plist_t::queue_name
char * queue_name
Definition: gutenprintui.h:84
stpui_get_thumbnail_func
get_thumbnail_func_t stpui_get_thumbnail_func(void)
stpui_build_standard_print_command
char * stpui_build_standard_print_command(const stpui_plist_t *plist, const stp_printer_t *printer)
stpui_set_errfunc
void stpui_set_errfunc(stp_outfunc_t wfunc)
stpui_plist_get_queue_name
const char * stpui_plist_get_queue_name(const stpui_plist_t *p)
stpui_set_thumbnail_func
void stpui_set_thumbnail_func(get_thumbnail_func_t)
stpui_plist_set_custom_command
void stpui_plist_set_custom_command(stpui_plist_t *p, const char *val)
ORIENT_PORTRAIT
@ ORIENT_PORTRAIT
Definition: gutenprintui.h:63
stpui_set_printrc_file
void stpui_set_printrc_file(const char *name)
stpui_set_image_type
void stpui_set_image_type(const char *image_type)
_StpuiCurve::graph
GtkDrawingArea graph
Definition: curve.h:70
stpui_plist_set_extra_printer_options_n
void stpui_plist_set_extra_printer_options_n(stpui_plist_t *p, const char *val, int n)
_StpuiCurve::height
gint height
Definition: curve.h:79
stpui_curve_new
GtkWidget * stpui_curve_new(void)
_StpuiGammaCurve::gamma_dialog
GtkWidget * gamma_dialog
Definition: gammacurve.h:58
stpui_plist_t::command_type
command_t command_type
Definition: gutenprintui.h:83
_StpuiCurve::grab_point
gint grab_point
Definition: curve.h:80
stpui_gamma_curve_new
GtkWidget * stpui_gamma_curve_new(void)
_StpuiCurveClass::_gtk_reserved4
void(* _gtk_reserved4)(void)
Definition: curve.h:102
stpui_curve_type_get_type
G_BEGIN_DECLS GType stpui_curve_type_get_type(void)
stpui_plist_set_name_n
void stpui_plist_set_name_n(stpui_plist_t *p, const char *val, int n)
STPUI_CURVE_TYPE_FREE
@ STPUI_CURVE_TYPE_FREE
Definition: curve.h:60
stpui_get_printrc_file
const char * stpui_get_printrc_file(void)
stpui_plist_get_copy_count
int stpui_plist_get_copy_count(const stpui_plist_t *p)
stpui_plist_add
int stpui_plist_add(const stpui_plist_t *key, int add_only)
stpui_plist_set_output_filename_n
void stpui_plist_set_output_filename_n(stpui_plist_t *p, const char *val, int n)
_StpuiGammaCurve::button
GtkWidget * button[5]
Definition: gammacurve.h:55
stpui_printrc_load
void stpui_printrc_load(void)
stpui_plist_t::scaling
float scaling
Definition: gutenprintui.h:89
stpui_image::rotate_ccw
void(* rotate_ccw)(struct stpui_image *image)
Definition: gutenprintui.h:103
stpui_plist_t::current_standard_command
char * current_standard_command
Definition: gutenprintui.h:87
stpui_get_thumbnail_data
void * stpui_get_thumbnail_data(void)
stpui_image::crop
void(* crop)(struct stpui_image *image, int left, int top, int right, int bottom)
Definition: gutenprintui.h:106
stpui_set_errdata
void stpui_set_errdata(void *errdata)
_StpuiCurveClass
Definition: curve.h:93
stpui_gamma_curve_get_type
GType stpui_gamma_curve_get_type(void) G_GNUC_CONST
COMMAND_TYPE_FILE
@ COMMAND_TYPE_FILE
Definition: gutenprintui.h:77
stpui_curve_set_curve_type
void stpui_curve_set_curve_type(StpuiCurve *curve, StpuiCurveType type)
_StpuiGammaCurveClass::_gtk_reserved4
void(* _gtk_reserved4)(void)
Definition: gammacurve.h:70
_StpuiCurveClass::curve_type_changed
void(* curve_type_changed)(StpuiCurve *curve)
Definition: curve.h:96
stpui_printer_initialize
void stpui_printer_initialize(stpui_plist_t *printer)
stpui_plist_t::auto_size_roll_feed_paper
int auto_size_roll_feed_paper
Definition: gutenprintui.h:92
stpui_plist_get_name
const char * stpui_plist_get_name(const stpui_plist_t *p)
stpui_get_image_filename
const char * stpui_get_image_filename(void)
stpui_plist_get_output_filename
const char * stpui_plist_get_output_filename(const stpui_plist_t *p)
stpui_get_system_printers
void stpui_get_system_printers(void)
stpui_curve_get_vector
void stpui_curve_get_vector(StpuiCurve *curve, int veclen, gfloat vector[])
COMMAND_TYPE_CUSTOM
@ COMMAND_TYPE_CUSTOM
Definition: gutenprintui.h:76
stpui_set_global_parameter
void stpui_set_global_parameter(const char *param, const char *value)
stpui_get_global_parameter
const char * stpui_get_global_parameter(const char *param)
stpui_plist_set_copy_count
void stpui_plist_set_copy_count(stpui_plist_t *p, gint count)
stpui_curve_set_gamma
void stpui_curve_set_gamma(StpuiCurve *curve, gfloat gamma_)
stpui_set_thumbnail_data
void stpui_set_thumbnail_data(void *)
stpui_plist_t::output_filename
char * output_filename
Definition: gutenprintui.h:88
_StpuiGammaCurve
Definition: gammacurve.h:50
stpui_plist_set_queue_name
void stpui_plist_set_queue_name(stpui_plist_t *p, const char *val)
stpui_get_errdata
void * stpui_get_errdata(void)
_StpuiGammaCurve::curve
GtkWidget * curve
Definition: gammacurve.h:54
ORIENT_SEASCAPE
@ ORIENT_SEASCAPE
Definition: gutenprintui.h:66
stpui_curve_reset
void stpui_curve_reset(StpuiCurve *curve)
stpui_plist_t::name
char * name
Definition: gutenprintui.h:82
_StpuiCurveClass::_gtk_reserved1
void(* _gtk_reserved1)(void)
Definition: curve.h:99
_StpuiGammaCurveClass::parent_class
GtkVBoxClass parent_class
Definition: gammacurve.h:64
_StpuiCurve::ctlpoint
gfloat(* ctlpoint)[2]
Definition: curve.h:89
stpui_image::transpose
void(* transpose)(struct stpui_image *image)
Definition: gutenprintui.h:100
_StpuiCurve::cursor_type
gint cursor_type
Definition: curve.h:72
_StpuiCurve::num_points
gint num_points
Definition: curve.h:84
_StpuiCurve::curve_type
StpuiCurveType curve_type
Definition: curve.h:78
curve.h
stpui_plist_copy
void stpui_plist_copy(stpui_plist_t *vd, const stpui_plist_t *vs)
stpui_do_print_dialog
gint stpui_do_print_dialog(void)
stpui_image::im
stp_image_t im
Definition: gutenprintui.h:99
STPUI_CURVE_TYPE_LINEAR
@ STPUI_CURVE_TYPE_LINEAR
Definition: curve.h:58
stpui_image::rotate_cw
void(* rotate_cw)(struct stpui_image *image)
Definition: gutenprintui.h:104
stpui_curve_set_range
void stpui_curve_set_range(StpuiCurve *curve, gfloat min_x, gfloat max_x, gfloat min_y, gfloat max_y)
stpui_plist_get_custom_command
const char * stpui_plist_get_custom_command(const stpui_plist_t *p)
stpui_set_image_raw_channels
void stpui_set_image_raw_channels(gint channels)
stpui_plist_get_current_standard_command
const char * stpui_plist_get_current_standard_command(const stpui_plist_t *p)
_StpuiGammaCurve::gamma_text
GtkWidget * gamma_text
Definition: gammacurve.h:59
stpui_plist_set_custom_command_n
void stpui_plist_set_custom_command_n(stpui_plist_t *p, const char *val, int n)
_StpuiCurveClass::_gtk_reserved2
void(* _gtk_reserved2)(void)
Definition: curve.h:100
stpui_print
int stpui_print(const stpui_plist_t *printer, stpui_image_t *im)
stpui_plist_t
Definition: gutenprintui.h:81
stpui_get_current_printer
const stpui_plist_t * stpui_get_current_printer(void)
stpui_plist_get_extra_printer_options
const char * stpui_plist_get_extra_printer_options(const stpui_plist_t *p)
gammacurve.h
typebuiltins.h
ORIENT_UPSIDEDOWN
@ ORIENT_UPSIDEDOWN
Definition: gutenprintui.h:65
_StpuiCurveClass::_gtk_reserved3
void(* _gtk_reserved3)(void)
Definition: curve.h:101
stpui_set_image_resolution
void stpui_set_image_resolution(gdouble xres, gdouble yres)
_StpuiCurve::num_ctlpoints
gint num_ctlpoints
Definition: curve.h:88
stpui_plist_set_current_standard_command_n
void stpui_plist_set_current_standard_command_n(stpui_plist_t *p, const char *val, int n)
_StpuiGammaCurve::table
GtkWidget * table
Definition: gammacurve.h:53
stpui_plist_set_queue_name_n
void stpui_plist_set_queue_name_n(stpui_plist_t *p, const char *val, int n)
stpui_plist_set_output_filename
void stpui_plist_set_output_filename(stpui_plist_t *p, const char *val)
_StpuiGammaCurve::vbox
GtkVBox vbox
Definition: gammacurve.h:51
STPUI_CURVE_TYPE_SPLINE
@ STPUI_CURVE_TYPE_SPLINE
Definition: curve.h:59
_StpuiGammaCurveClass
Definition: gammacurve.h:63
stpui_image::vflip
void(* vflip)(struct stpui_image *image)
Definition: gutenprintui.h:102